package mildo.wiwo.user;

import mildo.wiwo.data.WiwoUser;

/**
 * This class provides a way how to represent result of log-in of user
 * 
 */
public class UserLoginResult {

	protected UserLoginResult(
		WiwoUser aUser, boolean aOk, boolean aUnknown, boolean aPwd/*, boolean aConfirm, boolean aDisabled*/) 
	{
		user = aUser;
		loginOk = aOk;
		unknownUser = aUnknown;
		wrongPassword = aPwd;
//		userNotConfirmed = aConfirm;
//		userDisabled = aDisabled;
	}

	// -----------------------

	protected WiwoUser user = null;
	protected boolean loginOk = false;
	protected boolean unknownUser = false;
	protected boolean wrongPassword = false;
//	protected boolean userNotConfirmed = false;
//	protected boolean userDisabled = false;

	// -----------------------

	public WiwoUser getUser() {
		return user;
	}

	public boolean isLoginOk() {
		return loginOk;
	}
	
	public boolean isUnknownUser() {
		return unknownUser;
	}
	
	public boolean isWrongPassword() {
		return wrongPassword;
	}
	
//	public boolean isUserNotConfirmed() {
//		return userNotConfirmed;
//	}
//	
//	public boolean isUserDisabled() {
//		return userDisabled;
//	}
	
	// -----------------------

}
